Kubernetes
probe CPU, Memory

# get_stressors

List all stressors

Run it now
View details

Type | probe
Module | chaosk8s.chaosmesh.stress.probes
Name | get_stressors
Return | list

Usage

JSON

    {
      "name": "get-stressors",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosk8s.chaosmesh.stress.probes",
        "func": "get_stressors"
      }
    }

YAML

    name: get-stressors
    provider:
      func: get_stressors
      module: chaosk8s.chaosmesh.stress.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
ns | string | default | No | Namespace | Namespace where to get stressors from

Signature

    def get_stressors(ns: str = 'default',
                      secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Kubernetes
  action CPU, Memory

  ## `delete_stressor`

  Remove a stressor
- Kubernetes
  probe CPU, Memory

  ## `get_stressor`

  Get a stressor
- Kubernetes
  action Memory

  ## `stress_memory`

  Stress the memory of a Pod's container